function bungeon:run/clear_schedules
function bungeon:dungeon/shop/hole

summon minecraft:item_display 0.5 9 0.5 {Tags:["door_darkness", "clear_shop"], item:{id:"minecraft:black_stained_glass", components:{"minecraft:item_model":"bungeon:entity/darkness"}}, transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,0f,0f],scale:[3f,6f,3f]}}
#fill 1 6 -1 -1 6 1 air
execute if data storage bungeon:data {floor:3, progression:{golem:0b}} run function bungeon:dialogue/post_golem/init

execute store result score #math bungeon.temp run data get storage bungeon:data floor
execute store result storage bungeon:data floor int 1 run scoreboard players add #math bungeon.temp 1

effect clear @a
scoreboard players set @a bungeon.choosen 0
execute as @a[team=dead] run function bungeon:player/get_name {path:"player/run/health/state/revive"}
execute as @e[type=marker, tag=shop_stand] at @s run function bungeon:dungeon/shop/upgrade/init
data modify storage bungeon:data run.reroll_price set value 15
execute as @n[type=marker, tag=reroll_stand] at @s run summon minecraft:interaction ~ ~ ~ {Tags:["reroll", "interactable", "clear_shop"], width:.7, height:.9, Passengers:[{id:"minecraft:item_display", Tags:["reroll", "clear_shop"], item:{id:"minecraft:paper", components:{"minecraft:item_model":"bungeon:gui/reroll"}}, item_display:"head", transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,-.5f,0f],scale:[1f,1f,1f]}},{id:"minecraft:text_display", alignment:"center", Rotation:[-90f, 0f], Tags:["reroll", "clear_shop"], text:'{"translate":"bungeon.price", "with":["15"]}', transformation:{left_rotation:[0f,0f,0f,1f],right_rotation:[0f,0f,0f,1f],translation:[0f,-1.3f,0f],scale:[1f,1f,1f]}}]}

kill @e[tag=clear_run]
function bungeon:dungeon/new/init with storage bungeon:data